OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPSelections

# STEPSelections_SelectGSCurves Class Reference

This selection returns "curves in the geometric_set (except composite curves)"
.

`#include <STEPSelections_SelectGSCurves.hxx>`

Inheritance diagram for STEPSelections_SelectGSCurves:

[legend]

## Public Member Functions
Standard_EXPORT | STEPSelections_SelectGSCurves ()
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Analyses and, if required, Explores an entity, as follows : The explored list starts as empty, it has to be filled by this method. If it returns False, <ent> is rejected for result (this is to be used only as safety) If it returns True and <explored> remains empty, <ent> is taken itself for result, not explored If it returns True and <explored> is not empty, the content of this list is considered : If maximum level is attained, it is taken for result Else (or no max), each of its entity will be itself explored .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium : "Curves" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_SelectGSCurves::STEPSelections_SelectGSCurves | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean STEPSelections_SelectGSCurves::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString STEPSelections_SelectGSCurves::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const STEPSelections_SelectGSCurves::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

The documentation for this class was generated from the following file:

- STEPSelections_SelectGSCurves.hxx